# Uses of Class
org.eclipse.e4.ui.model.application.impl.ApplicationPackageImpl

Packages that use ApplicationPackageImpl
Package
Description
org.eclipse.e4.ui.model.application.impl
org.eclipse.e4.ui.model.application.util

## Uses of ApplicationPackageImpl in org.eclipse.e4.ui.model.application.impl

Fields in org.eclipse.e4.ui.model.application.impl declared as ApplicationPackageImpl
Modifier and Type
Field
Description
`static final ApplicationPackageImpl`
ApplicationPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.application.impl that return ApplicationPackageImpl
Modifier and Type
Method
Description
`ApplicationPackageImpl`
ApplicationFactoryImpl.`getApplicationPackage()`
`static ApplicationPackageImpl`
ApplicationPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of ApplicationPackageImpl in org.eclipse.e4.ui.model.application.util

Fields in org.eclipse.e4.ui.model.application.util declared as ApplicationPackageImpl
Modifier and Type
Field
Description
`protected static ApplicationPackageImpl`
ApplicationAdapterFactory.`modelPackage`
The cached model package.
`protected static ApplicationPackageImpl`
ApplicationSwitch.`modelPackage`
The cached model package